Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest.number
Class IsCloseTo

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.hamcrest.TypeSafeMatcher<Double>
              org.hamcrest.number.IsCloseTo

All Implemented Interfaces:
  Matcher<Double>, SelfDescribing

    public class IsCloseTo

extends TypeSafeMatcher<Double>

Is the value a number equal to a value within some range of acceptable error?

Constructor Summary
`IsCloseTo(double value, double error)`

Method Summary
`static Matcher<Double>` | `closeTo(double operand, double error)`
`void` | `describeTo(Description description)` Generates a description of the object.
`boolean` | `matchesSafely(Double item)` Subclasses should implement this.

Methods inherited from class org.hamcrest.TypeSafeMatcher
`matches`

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IsCloseTo

    public IsCloseTo(double value,
                     double error)

Method Detail

### matchesSafely

    public boolean matchesSafely(Double item)

  Description copied from class: `TypeSafeMatcher`
  Subclasses should implement this. The item will already have been checked for the specific type and will never be null.

  Specified by:
    `matchesSafely` in class `TypeSafeMatcher<Double>`

### describeTo

    public void describeTo(Description description)

  Description copied from interface: `SelfDescribing`
  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Parameters:
    `description` - The description to be built or appended to.

### closeTo

    public static Matcher<Double> closeTo(double operand,
                                          double error)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD